/*
 * Copyright 2018 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.build

/**
 * The list of versions codes of all the libraries in this project.
 */
object LibraryVersions {
    val ACTIVITY = Version("1.0.0-alpha01")
    val ANIMATION = Version("1.0.0-alpha01")
    val APPCOMPAT = Version("1.1.0-alpha01")
    val ARCH_CORE = Version("2.0.0")
    val ARCH_CORE_TESTING = ARCH_CORE
    val ARCH_RUNTIME = Version("2.0.1-alpha01")
    val BENCHMARK = Version("1.0.0-alpha01")
    val BIOMETRIC = Version("1.0.0-alpha03")
    val CAR = Version("1.0.0-alpha6")
    val CAR_CLUSTER = Version("1.0.0-alpha5")
    val CAR_MODERATOR = Version("1.0.0-alpha1")
    val COLLECTION = Version("1.1.0-alpha01")
    val COORDINATORLAYOUT = Version("1.1.0-alpha01")
    val CORE = Version("1.1.0-alpha01")
    val FRAGMENT = Version("1.1.0-alpha01")
    val FUTURES = Version("1.0.0-alpha02")
    val GRIDLAYOUT = Version("1.1.0-alpha01")
    val JETIFIER = Version("1.0.0-beta02")
    val LEANBACK = Version("1.1.0-alpha01")
    val LEANBACK_PREFERENCE = Version("1.1.0-alpha01")
    val LIFECYCLE = Version("2.1.0-alpha01")
    val LIFECYCLES_SAVEDSTATE = Version("1.0.0-alpha01")
    val MEDIA = Version("1.1.0-alpha01")
    val MEDIA2 = Version("1.0.0-alpha03")
    val MEDIA2_EXOPLAYER = Version("1.0.0-alpha01")
    val MEDIAROUTER = Version("1.1.0-alpha01")
    val MEDIA_WIDGET = Version("1.0.0-alpha5")
    val NAVIGATION = Version("1.0.0-alpha07")
    val PAGING = Version("2.1.0-alpha01")
    val PALETTE = Version("1.1.0-alpha01")
    val PERSISTENCE = Version("2.0.0")
    val PREFERENCE = Version("1.1.0-alpha01")
    val RECYCLERVIEW = Version("1.1.0-alpha01")
    val REMOTECALLBACK = Version("1.0.0-alpha01")
    val ROOM = Version("2.1.0-alpha02")
    val SLICE = Version("1.1.0-alpha01")
    val SLICE_BUILDERS_KTX = Version("1.0.0-alpha6")
    val SUPPORT_LIBRARY = Version("1.0.0")
    val SWIPE_REFRESH_LAYOUT = Version("1.1.0-alpha01")
    val TEXTCLASSIFIER = Version("1.0.0-alpha01")
    val TRANSITION = Version("1.1.0-alpha01")
    val VECTORDRAWABLE_ANIMATED = Version("1.1.0-alpha01")
    val VERSIONED_PARCELABLE = Version("1.1.0-alpha01")
    val WEBKIT = Version("1.1.0-alpha01")
    val WORKMANAGER = Version("1.0.0-alpha10")
}
